> ## Documentation Index
> Fetch the complete documentation index at: https://langwatch.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Add dataset entries programmatically using the LangWatch API to build evaluation sets for LLM testing and agent validation.

> Add entries to a dataset



## OpenAPI

````yaml POST /api/dataset/{slug}/entries
openapi: 3.1.0
info:
  title: LangWatch API
  version: 1.0.0
  description: LangWatch openapi spec
servers:
  - url: https://app.langwatch.ai
security:
  - api_key: []
paths:
  /api/dataset/{slug}/entries:
    post:
      description: Add entries to a dataset
      operationId: postApiDatasetBySlugEntries
      parameters:
        - schema:
            type: string
          in: path
          name: slug
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DatasetPostEntries'
      responses: {}
components:
  schemas:
    DatasetPostEntries:
      type: object
      properties:
        entries:
          type: array
          items:
            type: object
            additionalProperties: {}
          example:
            - input: hi
              output: Hello, how can I help you today?
      required:
        - entries
  securitySchemes:
    api_key:
      type: apiKey
      in: header
      name: X-Auth-Token

````